View Issue Details

IDProjectCategoryView StatusLast Update
0000211MetaPostfeature requestpublic2009-05-11 11:12
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.200Fixed in Version 
Summary0000211: Implement a commandline switch to set (some?) internals
DescriptionImplement a commandline switch to set (some?) internals like

    mpost -Doutputformat:="svg"

  the actual syntax is not fixed yet and suggestions are welcome.
  Another question: should such values be set *before* or *after* mem
  loading?
TagsNo tags attached.

Activities

Taco

2009-04-19 15:27

administrator   ~0000183

Implemented by 0000941.

The actual syntax is not using -D (from Define) but -s (from set).
It uses a simple '=' sign, and the -s switch is repeatable:

  mpost -stracingcommands=1 -stracingonline=1 myfile

string valued internals need quotes around the argument:

  mpost -soutputformat="svg" myfile

(these in turn may need escaping to protect them from shell expansion)

Issue History

Date Modified Username Field Change
2009-04-17 12:24 Taco New Issue
2009-04-17 12:45 Taco Status new => assigned
2009-04-17 12:45 Taco Assigned To => Taco
2009-04-19 15:27 Taco Status assigned => resolved
2009-04-19 15:27 Taco Resolution open => fixed
2009-04-19 15:27 Taco Note Added: 0000183
2009-04-20 13:14 Taco Target Version => 1.150
2009-04-21 19:07 Taco Target Version 1.150 => 1.200
2009-05-11 11:12 Taco Status resolved => closed